## Eclipse ESCET release notes

The release notes for the versions of the Eclipse ESCET tools, as part of the Eclipse ESCET project, are listed below in reverse chronological order.

See also the release notes for the specific tools for more information:

- CIF release notes

- Chi release notes

- ToolDef release notes

### Version 12.0 (2026-06-30)

ESCET project

  - DIFFER and KienIA joined as ESCET community members (issues #982 and #1405).

ESCET website

  - The community page now features user stories, starting with one from KienIA (issue #982).

### Version 11.0 (2026-03-31)

ESCET project

  - Updated the release retention policy to indicate that we from now on archive website versions of final releases older than two years, to conserve webserver resources. The archived versions do remain available indefinitely for download (issue #1307).

  - Updated the release retention policy to be clearer about retention of downloads, websites and P2 update sites (issue #1307).

ESCET IDE

  - The general toolkit documentation now explains the Windows Defender dialog, which is shown when starting the ESCET IDE if you run the IDE on Windows and Windows Defender is your virus scanner (issue #1339).

  - The SVG viewer now no longer scales on hi-DPI displays on Windows, to prevent performance issues (issue #1334).

  - The SVG viewer no longer hangs when showing SVG files with inline images encoded using base64 that contain spaces (issue #1324).

SBE course

  - The course now shows for each quiz question a 'Show solution' button to show the solution to the question (issue #1083).

  - The course now has improved reporting for unanswered quiz questions (issue #1083).

  - The course now explains the Windows Defender dialog, which is shown when starting the ESCET IDE if you run the IDE on Windows and Windows Defender is your virus scanner (issue #1339).

  - Various small improvements, extensions and fixes to different parts of the course (issue #1083).

### Version 10.0 (2025-12-19)

ESCET toolkit

  - This release is based on Eclipse 2025-09, rather than Eclipse 2024-09. Various dependencies have been upgraded as well (issue #1029).

  - For tools that support it, their option dialog now includes a 'Save as ToolDef script' button, allowing users to save a ToolDef script that executes the tool with the settings currently configured in the option dialog (issue #1300).

  - The option dialog of all tools now include mnemonics in the labels of the OK and Cancel buttons (issue #1300).

  - The DSM clustering tool now has '…' at the end of its menu action UI labels, to indicate it will show an option dialog, for consistency with other menu items of other tools (issue #1300).

ESCET IDE

  - The SVG viewer has been fixed for handling of vendor-specific CSS properties starting with a `-`, such as Inkscape CSS properties, in `style` attributes of SVG elements. Vendor-specific properties are now removed to ensure that the Batik SVG library, used to render SVG images, properly processes the properties that follow the vendor-specific properties (issue #886).

  - The SVG viewer now properly handles and reports CSS rendering errors, similar to SVG XML/DOM errors (issue #888).

  - The SVG viewer now shows rendering errors on the GUI, instead of crashing when opening the viewer (issue #888).

  - The use of the ESCET IDE’s `swt.autoScale` setting no longer crashes various ESCET-specific viewers and visualizers. The use of this setting should however no longer be needed, as the upgrade to a newer version of the Eclipse IDE brings native UI scaling improvements out of the box (issue #1214).

ESCET website

  - In the near future, we will archive older versions of the website to conserve webserver disk space. The downloads of those older releases will remain available. The older website versions will also remain available as downloads (issue #1307).

  - The ESCET general toolkit documentation and development documentation no longer contain zero width space characters generated by AsciiDoc, ensuring that there are no undesired line breaks caused by them (issue #1279).

  - The ESCET general toolkit documentation and development documentation no longer link to `index.html` in link URLs, but instead now links to the parent that contains the `index.html`, resulting in nicer URLs (issue #1317).

SBE course

  - Fixed the wording of a quiz question in Module 3.4 (issue #1083).

### Version 9.0 (2025-09-30)

ESCET toolkit

  - Various ESCET tools now have improved performance for writing to the console via 'stdout' and 'stderr' (issue #1254).

ESCET website

  - The ESCET website now has a 'News' page with project-related news from the project itself as well as from the community. The ESCET website home page and 'Community' page show some news teasers and link to the new 'News' page with all the news (issue #982).

  - The ESCET website home page now has an additional link to the 'Community' page (issue #1240).

  - The ESCET website home page and 'Community' page have some layout improvements (issue #982).

  - The ESCET website 'About' page and general toolkit documentation home page have improved explanations of how 'ESCET' is pronounced (issue #1276).

SBE course

  - The course has a number of smaller improvements and fixes, such as an improved estimation of the time it takes to complete the different modules of the course, some textual improvements/fixes, some quiz improvements/fixes, some extra links to find more information on certain topics, and an extra screenshot of the ESCET IDE (issues #1083 and #1262).

  - The course is no longer explicitly labeled as 'under development' (issue #1083).

### Version 8.0 (2025-06-30)

ESCET website

  - The ESCET website home page sections for courses and downloads have been merged into a single 'Getting started' section, making better use of the available space (issue #1231).

ESCET IDE

  - The ESCET IDE splash screen has been updated to reflect the new CIF icon (issue #1143).

### Version 7.0 (2025-03-31)

SBE course

  - Quiz feedback is now invalidated if you change your answers (issue #1119).

  - The course home page now explicitly indicates at the start that it is an online self-learning course (issue #1122).

  - The course home page message about the course being under development has been improved (issue #1122).

  - The course navigation bar now has the proper title, also on small screens (issue #1167).

ESCET website

  - Added a Community page to ESCET website. It current shows some of our community members, with additional members and other content to be added to the page in future releases (issue #982).

  - The website now shows the current available release versions, in the version selector and on the Versions page, regardless of webserver configuration and browser caching (issue #914).

  - The website home page now ensures that the ESCET logo is properly scaled to fit on the page, also on small screens (issue #1158).

### Version 6.0 (2024-12-20)

New features:

- The ESCET website now contains the first version of the online self-study SBE course. It features 5 modules. It also has some styling improvements. Note that the course is still under development. It will be improved over time (issues #742 and #1095).

- The ESCET IDE now ships with the course files for the SBE course. They can be imported from the Welcome screen, or through the New Example wizard that can be accessed via File New Examples… (issue #742).

Improvements and fixes:

- The ESCET website’s contact/support page now lists GitLab issues as the primary channel to ask questions, with the developers mailing list still being a second option. The ESCET forum has been phased out (issue #243).

- This release is based on Eclipse 2024-09, rather than Eclipse 2024-03. Various dependencies have been upgraded as well (issue #821).

- Eclipse ESCET now bundles Java 21 rather than Java 17 (issue #656).

- The Eclipse ESCET IDE on Windows no longer gives a Failure to retrieve Windows Defender Status error when started (issue #1016).

- The ESCET command line scripts are no longer (continuously) restarted when they exit with exit codes 23 and 24 (issue #662).

- The DSM clustering tool now provides improved error messages when reading invalid CSV files, in general, as well as specifically when not all rows have the same number of fields (issue #1044).

- The ESCET website has some styling improvements (issue #742).

### Version 5.0 (2024-10-03)

New features:

- The ESCET website now contains the first part of an online SBE course. The course will be extended over time (issue #742).

- The ESCET website 'About' page and general toolkit documentation now explain how to pronounce 'ESCET'. The 'About' page also features audio (issue #928).

Improvements and fixes:

- All tools now open their option dialog on the current monitor, rather than on the primary monitor (issue #942).

- Various tools now report a user-provided path, or a path derived from it, in error messages, rather than an absolute path (issue #881).

- Various tools now properly print warning and error prefixes for all warning/error console output lines, rather than only the first line of a warning or error (issue #939).

- The DSM clustering tool now writes DMMs with the minimal number of needed double quotes (issue #643).

- The DSM clustering tool now has improved error messages when reading an invalid input CSV file (issue #967).

- The Eclipse ESCET IDE launchers for Linux and macOS now have an ESCET icon, like the launcher for Windows. For Linux, you may have to create a shortcut with the icon yourself (issue #793).

- The ESCET website download page has various improvements (issue #836).

- The ESCET website has improved contact information (issue #941).

- The Eclipse Foundation webserver has improved caching responses, that should prevent browsers from showing outdated website content long after new content is released. If your browser has old responses cached, you may need to clear your browser cache or force refresh the page (issue #914).

- Fixed an ESCET website version selector issue when using Firefox as browser (issue #922).

- Small improvements to the ESCET website (issue #915).

### Version 4.0 (2024-06-30)

Improvements and fixes:

- This release is based on Eclipse 2024-03, rather than Eclipse 2023-03. Various dependencies have been upgraded as well (issue #635).

- The ESCET development documentation now documents the types of releases of the project, as well as the retention policy for keeping releases available (issue #826).

- The ESCET IDE splash screen should no longer appear upside down, and should now be properly scaled, on macOS 14/Sonoma (issues #720 and #829).

- The ESCET website site selector menu now has proper vertical alignment for icons and text (issue #812).

### Version 3.0 (2024-03-31)

New features:

- The Eclipse ESCET project now has a logo. You can find the logo on the ESCET website, as well as in the ESCET IDE (issues #777 and #791).

- The Eclipse ESCET website now features a version switcher, to allow switching to websites for earlier versions of ESCET. The download page now also includes a link to a new page with links to all the websites of earlier versions of ESCET (issues #437, #775 and #776).

Improvements and fixes:

- The Eclipse ESCET, Chi, CIF and ToolDef documentation now feature syntax highlighting for all languages, on the website and in the Eclipse ESCET IDE help (issue #740).

- The Eclipse ESCET, Chi, CIF and ToolDef documentation now have improved styling, on the website and in the Eclipse ESCET IDE help (issue #38).

- The Eclipse ESCET, Chi, CIF and ToolDef documentation on the website now have interactive tables of contents in their left sidebars, supporting collapsing and expanding (issue #38).

- The Eclipse ESCET, Chi, CIF and ToolDef documentation on the website now include all levels in their tables of contents in the left sidebars (issue #38).

- The Eclipse ESCET website has improved styling of dropdown menus (issue #437).

- The Eclipse ESCET IDE now ships with the 'linked resources' feature of the Eclipse IDE disabled by default (issue #754).

- The Eclipse ESCET IDE has a new splash screen, featuring the ESCET logo (issue #791).

- The Eclipse ESCET IDE launcher for Windows now has an ESCET-specific icon (issue #791).

### Version 2.0 (2023-12-22)

New features:

- The Eclipse ESCET project now deploys 'nightlies', in-development versions of the ESCET website and toolkit. See the nightly website at https://eclipse.dev/escet/nightly/. From the nightly website the nightly releases can be downloaded (issue #699).

Improvements and fixes:

- The Linux command line scripts for all ESCET tools no longer show a popup dialog upon exiting with a non-zero exit code (issue #89).

- The warning and error output on the Eclipse console for all ESCET tools now use different colors. Warning output is now printed in yellow, error output still in red (issue #524).

### Version 1.0 (2023-09-30)

Improvements and fixes:

- The Eclipse ESCET project has graduated. The project has left the 'incubation' phase, and has entered the 'mature' phase. In honor of this occasion, we leave the '0.x' version numbering behind. All indications of the incubation phase have been removed. This also leads to changes in download filenames (issues #614 and #647).

- The DSM clustering tool’s DSM input file format has been changed from a CSV-like file to an RFC-4180 compliant CSV file. Tab characters are no longer supported in the input files (issue #629).

### Version 0.10 (2023-06-30)

Improvements and fixes:

- The Eclipse ESCET website has moved from `www.eclipse.org/escet` to `eclipse.dev/escet`. Redirects from the old URLs to the new ones are in place (issue #577).

- This release is based on Eclipse 2023-03, rather than Eclipse 2022-06 (issue #399).

- The Eclipse ESCET IDE no longer gives warnings for projects without an explicit encoding (issue #399).

- The DSM clustering tool’s command line script for Linux is now executable (issue #570).

- The SVG viewer’s Save as dialog now properly starts in the directory that contains the SVG file, also on Windows. And it now properly handles paths with spaces and other special characters in them (issue #221).

### Version 0.9 (2023-03-31)

Improvements and fixes:

- The ESCET download page information for macOS has been updated to describe macOS Ventura (issue #483).

- Eclipse ESCET is now released for the both the x86_64 and aarch64 architectures of macOS (issue #484).

- Version-specific versions of the Eclipse ESCET website are no longer indexed by search engines. Only the current version of the website is now indexed. It may take some time for all search engines to catch up (issue #488).

- The DSM clustering tool now outputs files with proper and consistent line endings (issue #540).

### Version 0.8 (2022-12-21)

Improvements and fixes:

- This release is based on Eclipse 2022-06, rather than Eclipse 2021-06 (issue #176).

- Eclipse 2022-06 may show for all projects in your existing workspace a warning that they don’t have an explicit encoding set. To get rid of the warning, open the Problems view via Window Show View Problems. Then right click the warning and choose Quick Fix. In the Quick Fix dialog, click Select All to select all projects, and then click Finish to add the UTF-8 encoding to each project (issue #176).

- Eclipse 2022-06 may automatically use a dark theme if your operating system is configured to use a dark theme. To explicitly choose either a light theme or a dark theme, open the Preferences dialog via Window Preferences. Then select General Appearance, and for Theme select either Light or Dark. Select System to automatically select light or dark mode based on the operating system settings (issue #176).

- The Console view now has theming support, and comes with a dark theme in addition to the existing light theme. The console now automatically uses its dark theme when the Eclipse built-in dark theme is used, and uses a light theme otherwise (issue #417).

- The Application view’s status legend has been redesigned to support both light and dark themes (issue #417).

- Improved the Eclipse ESCET IDE welcome screen, by making it fit better with the used theme, by adding some useful links to get started, and more (issue #32).

- Very long lines in the Console view and text editors now render correctly on Windows (issue #76).

- Eclipse ESCET now bundles Java 17 rather than Java 11 (issue #259).

- The website of the current Eclipse ESCET release no longer links to version-specific URLs (issue #394).

### Version 0.7 (2022-09-30)

This release contains no changes that apply to the Eclipse ESCET toolkit in general. Consult the release notes for the specific tools for their changes.

### Version 0.6 (2022-07-07)

New features:

- Added new Design Structure Matrix (DSM) clustering tool (issue #344).

Improvements and fixes:

- The Eclipse ESCET IDE is no longer configured with a maximum Java object heap size of 4 GB of memory. The Java Virtual Machine (JVM) now decides the maximum, which may differ for different systems. It is of course still possible to configure the maximum yourself (issue #374).

- Links in the documentation to Chi, CIF and ToolDef documentation webpages now use version-specific URLs (issue #386).

- The issue numbers in the release notes now link to the corresponding GitLab issue (issue #396).

- Small website style improvements (issue #367).

### Version 0.5 (2022-03-29)

Improvements and fixes:

- Some small changes to the documentation and website (issues #271 and #335).

- The release notes for each version now contain the release date, with the exception of milestone releases and release candidates (issue #314).

### Version 0.4 (2021-12-17)

Improvements and fixes:

- Introduced a brand new website (issue #35).

- Many website URLs have changed due to various website structure changes (issues #35 and #73).

- Various documentation/website textual improvements, style improvements and other changes (issues #35 and #54).

- The Eclipse ESCET end-user and development documentation have been split into two separate documentation sets (issue #73).

- SeText is now considered an internal developers tool. It no longer has a website of its own. Its documentation is now part of the Eclipse ESCET development documentation (issue #73).

- The Eclipse ESCET IDE executable is now named `eclipse-escet` or `eclipse-escet.exe`. `eclipse.ini` is now named `eclipse-escet.ini` (issue #98).

- Eclipse ESCET now bundles Java 11.0.12 rather than Java 11.0.2 (issue #237).

### Version 0.3 (2021-10-01)

Improvements and fixes:

- The website and Eclipse help now use multi-page HTML rather than a single HTML file, although the website still contains a link to the single-page HTML that allows easily searching the full documentation (issue #36).

- Enabled section anchors for documentation on the website, and disabled section anchors for Eclipse help (issue #36).

- Fixed macOS-specific instructions for tweaking Java performance settings via `eclipse.ini` (issue #179).

- Removed unsupported in-place update instructions from the documentation (issue #166).

- Several small documentation fixes and improvements (issue #166).

### Version 0.2 (2021-07-07)

Improvements and fixes:

- Various documentation updates, including simpler installation instructions (issues #30 and #31).

- Java 11 is now included in the release and Java thus no longer needs to be installed separately (issues #29 and #30).

- The Eclipse ESCET IDE now includes the Eclipse Marketplace (issue #71).

- Linux command line scripts now work properly from any directory rather than only from the `bin` directory that contains them (issue #88).

- macOS releases are now packaged as `.dmg` files and with proper entitlements (issue #21).

- Eclipse ESCET downloads now contain a folder in the root of the archive, to properly support unpacking in e.g. a downloads directory (issue #87).

- This release is based on Eclipse 2021-06 (issues #28 and #121).

- Improved Eclipse ESCET download filenames (issues #87 and #92).

- Improved Eclipse ESCET version numbers in documentation, plugin/feature versions, and Eclipse ESCET IDE about dialog (issues #92 and #103).

- Non-release builds now indicate they are a development build in the Eclipse About dialog (issue #26).

- Eclipse ESCET downloads for Linux previously included an 'executable' `about.html` file (issue #90).

- Crash reports now indicate where and how to report issues (issue #33).

### Version 0.1 (2021-04-02)

The first release of the Eclipse ESCET project and toolkit. This release is based on the initial contribution by the Eindhoven University of Technology (TU/e).

Most notable changes compared to the last TU/e release:

- A JDK is no longer bundled with the downloads. A JDK must be installed separately and manually. Future releases will again include a JDK.

This release is based on the Eclipse IDE version 2020-06 and supports Java 8.